unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    PTitel: TPanel;
    GBAuswahl: TGroupBox;
    BAddition: TButton;
    BSubtraktion: TButton;
    BMultiplikation: TButton;
    BDivision: TButton;
    GroupBox1: TGroupBox;
    LZahl1: TLabel;
    LOperation: TLabel;
    LZahl2: TLabel;
    LGleich: TLabel;
    LErgebnis: TLabel;
    BErgebnis: TButton;
    EErgebnis: TEdit;
    GAuswertung: TGroupBox;
    LRichtig: TLabel;
    LRichtigAnzeige: TLabel;
    LFalsch: TLabel;
    LFalschAnzeige: TLabel;
    LGesamt: TLabel;
    LGesamtAnzeige: TLabel;
    LNote: TLabel;
    LNoteAnzeige: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure wahl(Sender: TObject);
    procedure BErgebnisClick(Sender: TObject);
    procedure KeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

var ergebnis,eingabe,richtig,falsch,geraten: Integer;

procedure TForm1.FormCreate(Sender: TObject);
begin
randomize;
richtig:=0;
falsch:=0;
geraten:=0;
end;

procedure TForm1.wahl(Sender: TObject);
var zahl1, zahl2, tausch : Integer;
begin
zahl1:= random(11);
zahl2:= random(11);
LErgebnis.Caption:='';
EErgebnis.text:='';
If sender=BAddition
  then
    begin
      ergebnis := zahl1+zahl2;
      LZahl1.Caption:=IntToStr(zahl1);
      LOperation.Caption:='+';
      LZahl2.Caption:=IntToStr(zahl2);
    end;
If sender=BSubtraktion
  then
    begin
      if zahl2>zahl1
        then
          begin
            tausch:=zahl2;
            zahl2:=zahl1;
            zahl1:=tausch;
          end;
      ergebnis := zahl1-zahl2;
      LZahl1.Caption:=IntToStr(zahl1);
      LOperation.Caption:='-';
      LZahl2.Caption:=IntToStr(zahl2);
    end;
If sender=BMultiplikation
  then
    begin
      ergebnis := zahl1*zahl2;
      LZahl1.Caption:=IntToStr(zahl1);
      LOperation.Caption:='*';
      LZahl2.Caption:=IntToStr(zahl2);
    end;
If sender=BDivision
then
    begin
      repeat
         zahl1:= random(11);
         zahl2:= random(10)+1;
      until (zahl1 mod zahl2 = 0);
      ergebnis := zahl1 div zahl2;
      LZahl1.Caption:=IntToStr(zahl1);
      LOperation.Caption:=':';
      LZahl2.Caption:=IntToStr(zahl2);
    end;
EErgebnis.setFocus;
geraten:=0;
end;

procedure TForm1.BErgebnisClick(Sender: TObject);
begin
  geraten:=1;
  EErgebnis.Text:=IntToStr(Ergebnis);
end;

procedure TForm1.KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var gesamt:integer;
    note:integer;
begin
if EErgebnis.Text='' then exit;
if geraten=0 then
  begin
   If key = 13 then
     begin
       If EErgebnis.text=IntToStr(Ergebnis)
         then
           begin
           LErgebnis.Caption:='r';
           LErgebnis.Font.Color:=ClGreen;
           richtig:=richtig+1;
           LRichtigAnzeige.caption:=IntToStr(richtig);
           end
         else
           begin
           LErgebnis.Caption:='f';
           LErgebnis.Font.Color:=ClRed;
           falsch:=falsch+1;
           LFalschAnzeige.caption:=IntToStr(falsch);
           end;
       gesamt:=richtig+falsch;
       LGesamtAnzeige.caption:= IntToStr(gesamt);
       geraten:=1;
       note:= richtig*100;
       note:= note div gesamt;
       case note of
         85..100: LNoteAnzeige.Caption:='sehr gut';
         70..84: LNoteAnzeige.Caption:='gut';
         55..69: LNoteAnzeige.Caption:='befriedigend';
         40..54: LNoteAnzeige.Caption:='ausreichend';
         20..39: LNoteAnzeige.Caption:='mangelhaft';
         0..19:  LNoteAnzeige.Caption:='ungengend';
       end;
     end;
  end;
end;

end.








