unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, ActnList, Spin;

type
  TForm1 = class(TForm)
    PTitel: TPanel;
    GBAuswahl: TGroupBox;
    GroupBox1: TGroupBox;
    LZahl1: TLabel;
    LOperation: TLabel;
    LZahl2: TLabel;
    LGleich: TLabel;
    LErgebnis: TLabel;
    BErgebnis: TButton;
    EErgebnis: TEdit;
    GAuswertung: TGroupBox;
    LRichtig: TLabel;
    LRichtigAnzeige: TLabel;
    LFalsch: TLabel;
    LFalschAnzeige: TLabel;
    LGesamt: TLabel;
    LGesamtAnzeige: TLabel;
    LNote: TLabel;
    RadioButton2: TRadioButton;
    RadioButton1: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton7: TRadioButton;
    RadioButton8: TRadioButton;
    RadioButton9: TRadioButton;
    RadioButton10: TRadioButton;
    RadioButton11: TRadioButton;
    RadioButton12: TRadioButton;
    RadioButton13: TRadioButton;
    RadioButton14: TRadioButton;
    RadioButton15: TRadioButton;
    RadioButton16: TRadioButton;
    RadioButton17: TRadioButton;
    RadioButton18: TRadioButton;
    RadioButton19: TRadioButton;
    RadioButton20: TRadioButton;
    BNeu: TButton;
    LNoteAnzeige: TLabel;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure wahl(Sender: TObject);
    procedure BErgebnisClick(Sender: TObject);
    procedure KeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure BNeuClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    Zahl : array[1..20] of TRadioButton;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

var ergebnis,richtig,falsch,geraten,altezahl: Integer;

procedure TForm1.FormCreate(Sender: TObject);
var s : string;
    i : integer;
begin
  randomize;
  richtig:=0;
  falsch:=0;
  geraten:=1;
  altezahl:=0;
  for i:=1 to 20 do
    begin
      s:='RadioButton'+IntToStr(i);
      Zahl[i] := TRadioButton(findcomponent(s));
    end;
end;


procedure TForm1.wahl(Sender: TObject);
var zahl1, zahl2, i : Integer;
begin
LErgebnis.Caption:='';
EErgebnis.text:='';
for i:=1 to 20 do
  if Zahl[i].checked
   then
    begin
      zahl2:=2;
      case i of
        2..19: zahl2:=i;
        1:     zahl2:=random(9)+2;
        20:    zahl2:=random(10)+11;
      end;
      repeat
        zahl1:= random(9)+2
      until altezahl<>zahl1;
      altezahl:=zahl1;
      ergebnis := zahl1*zahl2;
      LZahl1.Caption:=IntToStr(zahl1);
      LOperation.Caption:='*';
      LZahl2.Caption:=IntToStr(zahl2);
    end; 
EErgebnis.setFocus;
geraten:=0;
end;

procedure TForm1.BErgebnisClick(Sender: TObject);
begin
  geraten:=1;
  EErgebnis.Text:=IntToStr(Ergebnis);
end;

procedure TForm1.KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if EErgebnis.Text='' then exit;
if geraten=0 then
  begin
    if key=13 then BitBtn1Click(Sender)
  end;
end;

procedure TForm1.BNeuClick(Sender: TObject);
begin
   if geraten=1 then
     wahl(Sender);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var gesamt:integer;
    note:integer;
begin
if EErgebnis.Text='' then exit;
if geraten=0 then
      begin
       If EErgebnis.text=IntToStr(Ergebnis)
         then
           begin
           LErgebnis.Caption:='r';
           LErgebnis.Font.Color:=ClGreen;
           richtig:=richtig+1;
           LRichtigAnzeige.caption:=IntToStr(richtig);
           messagebeep(MB_OK);
           end
         else
           begin
           LErgebnis.Caption:='f';
           LErgebnis.Font.Color:=ClRed;
           falsch:=falsch+1;
           LFalschAnzeige.caption:=IntToStr(falsch);
           messagebeep(MB_ICONHAND);
           MessageDlg('Du hast leider ein falsches Ergebnis eingegeben!', mtInformation, [mbOk], 0);
           end;
       gesamt:=richtig+falsch;
       LGesamtAnzeige.caption:= IntToStr(gesamt);
       geraten:=1;
       note:= richtig*100;
       note:= note div gesamt;
       case note of
         85..100: LNoteAnzeige.Caption:='sehr gut';
         70..84: LNoteAnzeige.Caption:='gut';
         55..69: LNoteAnzeige.Caption:='befriedigend';
         40..54: LNoteAnzeige.Caption:='ausreichend';
         20..39: LNoteAnzeige.Caption:='mangelhaft';
         0..19:  LNoteAnzeige.Caption:='ungengend';
       end;
     end;
end;

end.








